lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Markus Jelsma <markus.jel...@buyways.nl>
Subject Re: upgrade index from 2.9 to 3.x
Date Fri, 24 Sep 2010 14:33:52 GMT
There is a recent thread on this one
http://www.mail-archive.com/solr-user@lucene.apache.org/msg40491.html


On Friday 24 September 2010 16:30:36 mike anderson wrote:
> What is the right way to upgrade a solr index from Lucene 2.9.1 to 3.x. I'm
> getting the exception:
> 
> SEVERE: java.lang.RuntimeException:
> org.apache.lucene.index.IndexFormatTooOldException: Format version is not
> supported in file '_aw5w.fdx': 1 (needs to be between 2 and 2). This
>  version of Lucene only supports indexes created with release 3.0 and
>  later.
> 
> 
> when I try to start a server with my old index.
> 
> Thanks in advance,
> Mike
> 

Markus Jelsma - Technisch Architect - Buyways BV
http://www.linkedin.com/in/markus17
050-8536620 / 06-50258350


Mime
View raw message